package com.qianhe.domain;

import java.util.List;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.qianhe.common.annotation.Excel;
import com.qianhe.common.core.domain.BaseEntity;

/**
 * 标准手册-油水井管理岗工作手册-总对象 bzsc_ysjglggzsc
 *
 * @author qianhe
 * @date 2024-10-09
 */
public class BzscYsjglggzsc extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long ID;

    /** 单位id */
    @Excel(name = "单位id")
    private Long deptId;

    /** 标题 */
    @Excel(name = "标题")
    private String bt;

    /** 年度 */
    @Excel(name = "年度")
    private String nd;

    /** 预留1 */
    @Excel(name = "预留1")
    private String yl1;

    /** 预留2 */
    @Excel(name = "预留2")
    private String yl2;

    /** 预留3 */
    @Excel(name = "预留3")
    private String yl3;

    /** 预留4 */
    @Excel(name = "预留4")
    private String yl4;

    /** 预留5 */
    @Excel(name = "预留5")
    private String yl5;

    /** 标准手册-油水井管理岗工作手册-主信息 */
    private List<BzscYsjglggzscZb> bzscYsjglggzscZbList;

    public void setID(Long ID)
    {
        this.ID = ID;
    }

    public Long getID()
    {
        return ID;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setBt(String bt)
    {
        this.bt = bt;
    }

    public String getBt()
    {
        return bt;
    }
    public void setNd(String nd)
    {
        this.nd = nd;
    }

    public String getNd()
    {
        return nd;
    }
    public void setYl1(String yl1)
    {
        this.yl1 = yl1;
    }

    public String getYl1()
    {
        return yl1;
    }
    public void setYl2(String yl2)
    {
        this.yl2 = yl2;
    }

    public String getYl2()
    {
        return yl2;
    }
    public void setYl3(String yl3)
    {
        this.yl3 = yl3;
    }

    public String getYl3()
    {
        return yl3;
    }
    public void setYl4(String yl4)
    {
        this.yl4 = yl4;
    }

    public String getYl4()
    {
        return yl4;
    }
    public void setYl5(String yl5)
    {
        this.yl5 = yl5;
    }

    public String getYl5()
    {
        return yl5;
    }

    public List<BzscYsjglggzscZb> getBzscYsjglggzscZbList()
    {
        return bzscYsjglggzscZbList;
    }

    public void setBzscYsjglggzscZbList(List<BzscYsjglggzscZb> bzscYsjglggzscZbList)
    {
        this.bzscYsjglggzscZbList = bzscYsjglggzscZbList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("ID", getID())
            .append("deptId", getDeptId())
            .append("bt", getBt())
            .append("nd", getNd())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("yl1", getYl1())
            .append("yl2", getYl2())
            .append("yl3", getYl3())
            .append("yl4", getYl4())
            .append("yl5", getYl5())
            .append("bzscYsjglggzscZbList", getBzscYsjglggzscZbList())
            .toString();
    }
}
